For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
  • Getting Started
    • Introduction
    • How Verifa Works
    • Quickstart
    • Choosing an Integration Method
  • Use Cases
    • KYC Onboarding
    • Age Verification
    • AML Compliance
    • Fraud Prevention
    • Marketplace Trust & Safety
  • Core Concepts
    • Overview
    • Sessions
    • Verifications & Checks
    • Workflows
    • Identities
    • Cases
    • Screening & Reports
    • Lists
  • Integration Guides
    • Overview
    • JavaScript SDK
    • Web Capture Flow
    • API-Only Integration
    • Mobile SDK
    • Webhooks Guide
    • MCP Server
    • Migrating from Persona
  • API Details
    • Overview
    • Authentication
    • Pagination
    • Rate Limiting
    • Versioning
    • Errors
    • Webhooks
    • Idempotency
    • Key Inflection
    • Data Access
    • Data Retention
  • Tutorials
    • Creating Your First Verification Session
    • Creating a Workflow
    • Receiving Webhooks & Validating Signatures
    • Handling Webhook Events
    • Custom Document Types & AI Extraction
  • Best Practices
    • Testing
    • Preventing Duplicates
    • Fraud Signals
    • Changelog
  • API Reference
      • GETList checks
      • POSTCreate a check
      • POSTCreate multiple checks at once
      • GETGet check detail with hits
      • POSTDismiss AML hits
      • POSTRe-run check
      • POSTGDPR redact check PII
      • GETMonitoring history
      • POSTAdd tags
      • PUTSet tags (replace all)
      • DELRemove a tag
      • GETGenerate PDF report for a check
      • GETList checks for session
      • GETList checks for identity
      • GETList watchlists
      • GETGet a watchlist
      • GETList watchlist items
API ReferenceChecks

Create multiple checks at once

POST
https://devapi.withverifa.com/api/v1/checks/full
POST
/api/v1/checks/full
$curl -X POST https://devapi.withverifa.com/api/v1/checks/full \
> -H "X-API-Key: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "external_ref": "string"
>}'
1{
2 "data": [
3 {
4 "id": "schk_abc123",
5 "check_type": "sanction",
6 "status": "pending",
7 "has_match": true,
8 "hit_count": 1,
9 "provider": "string",
10 "session_id": "string",
11 "identity_id": "string",
12 "external_ref": "string",
13 "monitoring_enabled": true,
14 "is_sandbox": true,
15 "tags": [
16 "string"
17 ],
18 "batch_id": "string",
19 "pep_risk_tier": "tier_1",
20 "pep_recommended_action": "string",
21 "redacted_at": "2024-01-15T09:30:00Z",
22 "last_checked_at": "2024-01-15T09:30:00Z",
23 "created_at": "2024-01-15T09:30:00Z",
24 "expires_at": "2024-01-15T09:30:00Z",
25 "result": {},
26 "hits": [
27 {
28 "id": "string",
29 "created_at": "2024-01-15T09:30:00Z",
30 "matched_name": "string",
31 "name_similarity": 1.1,
32 "dob_match": true,
33 "combined_score": 1.1,
34 "hit_source": "string",
35 "hit_type": "string",
36 "provider_ref": "string",
37 "deceased": true,
38 "is_false_positive": true,
39 "pep_details": {
40 "sources": [
41 "string"
42 ],
43 "positions": [
44 {
45 "title": "string",
46 "country": "string",
47 "from": "string",
48 "to": "string"
49 }
50 ],
51 "associates": [
52 {
53 "name": "string",
54 "relationship": "string"
55 }
56 ],
57 "pep_class": "string"
58 },
59 "sanction_details": {
60 "sources": [
61 "string"
62 ],
63 "list_name": "string",
64 "program": "string",
65 "listed_on": "string"
66 },
67 "adverse_media_details": {
68 "sources": [
69 {
70 "name": "string",
71 "url": "string",
72 "date": "string"
73 }
74 ]
75 }
76 }
77 ]
78 }
79 ]
80}
Creates multiple screening checks for a single subject in one request.
Was this page helpful?
Previous

Get check detail with hits

Next
Built with

Authentication

X-API-Keystring

Organization API key. Keys are prefixed with vk_live_ (production) or vk_sandbox_ (sandbox).

Headers

Verifa-VersiondateOptional

API version date string (e.g. 2026-02-01). If omitted, the version pinned to your API key is used.

Idempotency-KeystringOptional<=255 characters

Unique key for idempotent requests. Cached for 24 hours. Sending the same key with different parameters returns 422.

Request

This endpoint expects an object.
external_refstringRequired
Your external reference for the subject.
check_typeslist of enumsOptional
List of check types to create.
enable_monitoringbooleanOptionalDefaults to false
Enable continuous monitoring for all checks.
name_firststringOptional

Subject’s first name. Required for AML checks (sanction, pep, adverse_media, warning).

name_laststringOptional
Subject's last name. Required for AML checks.
birthdatestringOptional

Date of birth in ISO 8601 format (YYYY-MM-DD). Improves AML match accuracy.

country_codestringOptional

ISO 3166-1 alpha-2 country code.

emailstringOptionalformat: "email"

Email address. Required for email_risk and email_risk_enhanced checks.

phonestringOptional

Phone number in E.164 format. Required for phone_risk and phone_risk_enhanced checks.

ip_addressstringOptional

IP address. Required for ip_risk checks.

addressobjectOptional

Structured address. Required for address_validation checks.

Response

Checks created.
datalist of objects

Errors

401
Unauthorized Error
422
Unprocessable Entity Error